#ifndef _MLista_h_
#define _MLista_h_

#include <iostream>
#include <fstream>
#include <cstdlib>
#include "MError.h"
#include "MPeticion.h"
#include "MHora.h"

using namespace std;
using namespace MError;
using namespace MPeticion;
using namespace MHora;

namespace MLista
{ 
    
    typedef struct TNodo *TLista;
    
    struct TNodo
    {
        TPeticion peticion;
        TLista sig;
    };
    
    TLista CrearLista();
    bool ListaVacia(TLista l);
    bool ListaLlena(TLista l);
    void InsertarLista(TLista &l, TPeticion p, TError &error);
    void MostrarLista(TLista l);
    void BuscarLista(TLista l, THora hora, TPeticion &p, TError & error);
    void EscribeListaFichero(TLista l, string nomFich, TError &error);
    void LeeListaFichero(TLista &l, string nomFich, TError &error);
    void DestruirLista(TLista &l);
}

#endif
