/*----------------------------------------------------------------
|	Autor:                                                        |
|	Fecha:                            Versin: 1.0	              |
|-----------------------------------------------------------------|
|	Descripcin del Programa:                                     |
|  								                                  |
| ----------------------------------------------------------------*/

// Incluir E/S y Libreras Standard
#include <iostream>
#include <cstdlib>
#include <string>
#include "MError.h"
#include "MPeticion.h"
#include "MLista.h"
#include "MHora.h"

using namespace std;
using namespace MError;
using namespace MPeticion;
using namespace MLista;
using namespace MHora;

// Zona de Declaracin de Constantes


// Zona de Declaracin de Tipos

// Zona de Cabeceras de Procedimientos y Funciones
char menu();
bool Confirmar();

// Programa Principal
int main()
{
  // Zona de Declaracin de Variables del Programa principal
  char op;
  bool salir;
  TLista peticiones;
  TError error;
  TPeticion p;
  THora hora;
  string nomFich;
  
  salir = false;
  peticiones = CrearLista();
  
  while(!salir)
  {
    error = NoError;           
    op = menu();
    cout << endl;
    
    switch(op)
    {
       case 'A': LeePeticion(p);
                 InsertarLista(peticiones, p, error);
                 break;
       case 'B': cout << "Listado de Peticiones" << endl;
                 cout << "=====================" << endl;
                 MostrarLista(peticiones);
                 break;
       case 'C': cout << "Nombre del Fichero: ";
                 getline(cin,nomFich,ENTER);
                 LeeListaFichero(peticiones, nomFich,error);
                 break;
       case 'D': cout << "Nombre del Fichero: ";
                 getline(cin,nomFich,ENTER);
                 EscribeListaFichero(peticiones, nomFich,error);
                 break;
       case 'E': cout << "Hora: ";
                 LeeHora(hora);
                 BuscarLista(peticiones, hora, p, error);
                 if (error==NoError)
                 {
                    MostrarPeticion(p);
                 }
                 break;
       case 'X': salir = Confirmar();
                 cout << endl << endl;
                 break;    
       default: cout << "Opcin Incorrecta" << endl;
    }
    MostrarError(error);
    system("Pause"); // Hacer una pausa
    system("cls");   // Borrar Pantalla
  }
  DestruirLista(peticiones);
  return 0;	   // Valor de retorno al S.O.
}

// Implementacin de Procedimientos y Funciones
char menu()
{
  char op;
  
  cout << "Nombre: (Apellidos, Nombre)    Curso: 1" << endl;
  cout << "Especialidad: Gestin          Grupo: A/B" << endl;
  cout << "Puesto: nmero de ordenador    Fecha: 23/09/2011" << endl;
  cout << endl;
  cout << "  OBSERVACIONES EN EL GTC" << endl;
  cout << "  =======================" << endl;
  cout << "  A. Insertar Peticin." << endl;
  cout << "  B. Listar Peticiones." << endl;
  cout << "  C. Cargar Peticiones desde Fichero." << endl;
  cout << "  D. Salvar Peticiones a Fichero." << endl;
  cout << "  E. Buscar Peticin." << endl;
  cout << "  X. Salir del Programa" << endl;
  cout << endl;
  cout << "  Introduzca su opcin: " ;
  
  cin >> op;
  cin.ignore();
  op = toupper(op);
  
  return op;

}

bool Confirmar()
{ 
  char car;

  cout << "Est seguro(S/N)?";
  cin >> car;
  cin.ignore();
  car = toupper(car);
  
  return (car=='S');
}

